Bug 506893 - Segmentation fault for RAID5 when starting manual rebuild
Segmentation fault for RAID5 when starting manual rebuild
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dmraid (Show other bugs)
5.4
All Linux
high Severity high
: rc
: 5.4
Assigned To: Heinz Mauelshagen
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 03:20 EDT by Krzysztof Wojcik
Modified: 2009-09-02 07:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Wojcik 2009-06-19 03:20:10 EDT
Description of problem:
Segmentation fault when starting manual rebuild on 2 volume RAID5.
After issuing command: dmraid -R, segmentation error shows up.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Boot OS
2. echo y | dmraid -f isw -C r5d3n1s64-5 --type 5 --size 5G --disk "/dev/sdb /dev/sdc /dev/sdd"
    echo y | dmraid -f isw -C r5d3n0s64 --type 5 --disk "/dev/sdb /dev/sdc /dev/sdd"
3. dmraid -ay
4. mkfs.ext3 /dev/mapper/isw_ceacbaeigh_r5d3n1s64-5
    mkdir /mnt/isw_ceacbaeigh_r5d3n1s64-5
    mount /dev/mapper/isw_ceacbaeigh_r5d3n1s64-5 /mnt/isw_ceacbaeigh_r5d3n1s64-5
    mount
5. fsck -f -n /dev/mapper/isw_ceacbaeigh_r5d3n1s64-5
6. openssl rand -out /mnt/isw_ceacbaeigh_r5d3n1s64-5/r1testFile0.bin 419430400
    md5sum /mnt/isw_ceacbaeigh_r5d3n1s64-5/r1testFile0.bin | gawk '{print 
    umount /dev/mapper/isw_ceacbaeigh_r5d3n1s64-5
    rmdir /mnt/isw_ceacbaeigh_r5d3n1s64-5
7. REBOOT PC- remove one disk from raid- important! Remove disk without PC reboot does not results segmentation fault
8. dmraid -R isw_ceacbaeigh_r5d3n1s64-5 "/dev/sdd"
    SEGMENTATION FAULT
  
Actual results:
SEGMENTATION FAULT.

Expected results:
Manual rebuilding starts and finishes positively.

Additional info:
Comment 1 Heinz Mauelshagen 2009-06-19 10:41:40 EDT
Got patch: reworked and included in 1.0.0.rc13-49 in CVS.
PM/QE, please adjust flags to allow for build.
Comment 5 Chris Ward 2009-07-03 14:46:09 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 6 Chris Ward 2009-07-10 15:14:28 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 8 Krzysztof Wojcik 2009-07-30 08:08:47 EDT
Bug is verified in RHEL5.4 Beta so Red Hat can change status to VERIFIED.
Comment 10 errata-xmlrpc 2009-09-02 07:16:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1347.html

Note You need to log in before you can comment on or make changes to this bug.